Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth.login
Class UsernamePasswordLoginModule

    java.lang.Object
      |
      +--weblogic.security.auth.login.UsernamePasswordLoginModule

public class UsernamePasswordLoginModule
extends java.lang.Object
implements javax.security.auth.spi.LoginModule

`UsernamePasswordLoginModule` is used in a WLS client to authenticate to the WLS server. This LoginModule authenticates users with a username/password. It can be used for both the T3 and IIOP clients. Callers of this module must implement callbacks to pass the username, password, and optional URL for the WLS server. Caller must implement a NameCallback for the username, a PasswordCallback for the username, and a URLCallback for the URL. If no URL is available, then the callback handler should return null for the URLCallback.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Constructor Summary
`UsernamePasswordLoginModule()`

Method Summary
`boolean` | `abort()` This method is called if the LoginContext's overall authentication failed.
`boolean` | `commit()` This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded).
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)` Initialize the login module.
`boolean` | `login()` Authenticate the user by username and password passed in
`boolean` | `logout()` Logout the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsernamePasswordLoginModule

    public UsernamePasswordLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Initialize the login module.
  Specified by:
    initialize in interface javax.security.auth.spi.LoginModule

  Parameters:
    `subject` - Subject to contain principals returned from WLS server.
    `callbackHandler` - CallbackHandler containing Name, Password, and URL callbacks.
    `sharedState` - Map used to share state among different login modules. This is not used by this login module.
    `options` - Map used to specify options to this login module. Supported options debug and URL. The debug option can be used to display additional debugging information. The URL option can be used instead of the URL callback.

### login

    public boolean login()
                  throws javax.security.auth.login.LoginException

  Authenticate the user by username and password passed in
  Specified by:
    login in interface javax.security.auth.spi.LoginModule

  Returns:
    true in all cases
  Throws:
    javax.security.auth.login.FailedLoginException - if the authentication fails.
    javax.security.auth.login.LoginException - if this LoginModule is unable to perform the authentication.

### commit

    public boolean commit()
                   throws javax.security.auth.login.LoginException

  This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded). If this LoginModule's own authentication attempted failed, then this method removes any state that was originally saved.
  Specified by:
    commit in interface javax.security.auth.spi.LoginModule

  Returns:
    true if this LoginModule's own login and commit attempts succeeded, or false otherwise.
  Throws:
    javax.security.auth.login.LoginException - if the commit fails.

### abort

    public boolean abort()
                  throws javax.security.auth.login.LoginException

  This method is called if the LoginContext's overall authentication failed. If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the login and commit methods),then this method cleans up any state that was originally saved.
  Specified by:
    abort in interface javax.security.auth.spi.LoginModule

  Returns:
    false if this LoginModule's own login and/or commit attempts failed, and true otherwise.
  Throws:
    javax.security.auth.login.LoginException - if the abort fails.

### logout

    public boolean logout()
                   throws javax.security.auth.login.LoginException

  Logout the user.
  Specified by:
    logout in interface javax.security.auth.spi.LoginModule

  Returns:
    true in all cases since this LoginModule should not be ignored.
  Throws:
    javax.security.auth.login.LoginException - if the logout fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference